<?php
#include("../../includes/session.php");
include("../../includes/db.php");
// die("test dipendenti");
#session(1);

function cleanDB($str){
	return trim(addslashes($str));	
}
function parseAnagr($str){
	$str = cleanDB($str);
	$space_pos = strpos($str,"   ");
	$str = $space_pos > 0 ? substr($str,0,$space_pos) : $str;
	return $str;
}
function data($date){
	$date = trim($date);
	
	//formato, da aaaammgg a gg/mm/aaaa	
	if(strlen($date) == 8){
		$gg = substr($date,6,2);
		$mm = substr($date,4,2);
		$aaaa = substr($date,0,4);
		$data = $aaaa.'-'.$mm.'-'.$gg;
	}else{
		$data = '0000-00-00';
	}
	return $data;
}

//unzip file
//exec("unzip -P progetto -o -u -d ../../../txtimport/ ../../../txtimport/txt.zip");

//memorizzo dati lavoratori
$result = mysql_query("SELECT *, lavoratori.blocked AS lav_blocked, lavoratori_tgl.blocked AS tgl_blocked FROM lavoratori LEFT JOIN lavoratori_tgl ON lavoratori.lav_cod = lavoratori_tgl.lav_cod");
while($row = mysql_fetch_array($result)){
	$lav_cod = $row['lav_cod'];
	$arrLavoratori[$lav_cod]["imp_cod"] = $row['imp_cod'];
	$arrLavoratori[$lav_cod]["pos_id"] = $row['pos_id'];
	$arrLavoratori[$lav_cod]["tgl_blocked"] = $row['tgl_blocked'];
	$arrLavoratori[$lav_cod]["lavtgl_giacca_est"] = $row['lavtgl_giacca_est'];
	$arrLavoratori[$lav_cod]["lavtgl_giacca_inv"] = $row['lavtgl_giacca_inv'];
	$arrLavoratori[$lav_cod]["lavtgl_pant_est"] = $row['lavtgl_pant_est'];
	$arrLavoratori[$lav_cod]["lavtgl_pant_inv"] = $row['lavtgl_pant_inv'];
	$arrLavoratori[$lav_cod]["lavtgl_giub_est"] = $row['lavtgl_giub_est'];
	$arrLavoratori[$lav_cod]["lavtgl_giub_inv"] = $row['lavtgl_giub_inv'];
	$arrLavoratori[$lav_cod]["lavtgl_scarp_est"] = $row['lavtgl_scarp_est'];
	$arrLavoratori[$lav_cod]["lavtgl_scarp_inv"] = $row['lavtgl_scarp_inv'];
	$arrLavoratori[$lav_cod]["lav_abb"] = $row['lav_abb'];
	$arrLavoratori[$lav_cod]["lav_blocked"] = $row['lav_blocked'];
	$arrLavoratori[$lav_cod]["tgl_blocked"] = $row['tgl_blocked'];
}

//memorizzo dati imprese
$result = mysql_query("SELECT * FROM imprese");
while($row = mysql_fetch_array($result)){
	$imp_cod = $row['imp_cod'];
	$arrImprese[$imp_cod]["imp_indirizzo"] = $row['imp_indirizzo'];
	$arrImprese[$imp_cod]["imp_citta"] = $row['imp_citta'];
	$arrImprese[$imp_cod]["imp_cap"] = $row['imp_cap'];
	$arrImprese[$imp_cod]["imp_prov"] = $row['imp_prov'];
	$arrImprese[$imp_cod]["blocked"] = $row['blocked'];
}


/*
CEAZI00P.txt - imprese
cedip00f.txt - dipendenti
cedi100f.TXT - taglie
*/

//dipendenti
$fpath = "../../../txtimport_test/CEDIP00F_test.txt";
if(is_file($fpath)){
	
	$handle = fopen($fpath, "r");
	if ($handle) {
		while(!feof($handle)){
			
			$line = fgets($handle,4096);
            echo $line; echo "<br>";

			$lav_annullato = substr($line, 0, 1) == 'C' ? 1 : 0;
			$lav_cod = intval(substr($line, 1, 5));
			$lav_anagrafica = parseAnagr(substr($line, 23, 35));
			$lav_codfisc = cleanDB(substr($line, 142, 16));
			//$lav_dnascita = data(substr($line, 192, 8));
            $lav_dnascita = substr($line, 191, 10);
			$imp_cod = intval(substr($line, 243, 6));
			$pos_id = intval(substr($line, 267, 2));
			$mans_id = intval(substr($line, 292, 2));
			$lav_opimp = substr($line, 381, 1);
			$lav_ore = intval(substr($line, 616, 6));
			$lav_abb = substr($line, 623, 1) == 'S' ? 1 : 0;
            
            if($lav_cod > 0){
                echo "lav_annullato: " . $lav_annullato; echo "<br>";
                echo "lav_cod: " . $lav_cod; echo "<br>";
                echo "lav_anagrafica: " . $lav_anagrafica; echo "<br>";
                echo "lav_codfisc: " . $lav_codfisc; echo "<br>";
                echo "lav_dnascita: " . $lav_dnascita; echo "<br>";
                echo "imp_cod: " . $imp_cod; echo "<br>";
                echo "pos_id: " . $pos_id; echo "<br>";
                echo "mans_id: " . $mans_id; echo "<br>";
                echo "lav_opimp: " . $lav_opimp; echo "<br>";
                echo "lav_ore: " . $lav_ore; echo "<br>";
                echo "lav_abb: " . $lav_abb; echo "<br>";
            }
            echo "<br><br>";						
			
            //if($lav_cod > 0){
			//	
			//	mysql_query( 
			//	"INSERT INTO lavoratori (lav_cod,lav_annullato,imp_cod,lav_anagrafica,lav_codfisc,lav_dnascita,pos_id,mans_id,lav_opimp,lav_ore,lav_abb) VALUES (
			//	
			//	'" . $lav_cod . "',
			//	'" . $lav_annullato . "',
			//	'" . $imp_cod . "',
			//	'" . $lav_anagrafica . "',
			//	'" . $lav_codfisc . "',
			//	'" . $lav_dnascita . "',
			//	'" . $pos_id . "',
			//	'" . $mans_id . "',
			//	'" . $lav_opimp . "',
			//	'" . $lav_ore . "',
			//	'" . $lav_abb . "')
			//	
			//	ON DUPLICATE KEY UPDATE 
			//	lav_annullato='".$lav_annullato."',
			//	imp_cod=IF(blocked = 0, '" . $imp_cod. "',imp_cod),					
			//	lav_anagrafica='" . $lav_anagrafica . "',
			//	lav_codfisc='" . $lav_codfisc . "',
			//	lav_dnascita='" . $lav_dnascita . "',
			//	pos_id=IF(blocked = 0, " . $pos_id. ",pos_id),
			//	mans_id='" . $mans_id . "',
			//	lav_opimp='" . $lav_opimp . "',
			//	lav_ore='" . $lav_ore . "',
			//	lav_abb=IF(blocked = 0, " . $lav_abb. ",lav_abb)					
			//	");
            //
            //
			//	if($arrLavoratori[$lav_cod] && $arrLavoratori[$lav_cod]["lav_blocked"] == 1){
			//		if(
			//			$arrLavoratori[$lav_cod]["lav_abb"] == $lav_abb && 
			//			$arrLavoratori[$lav_cod]["pos_id"] == $pos_id && 
			//			$arrLavoratori[$lav_cod]["imp_cod"] == $imp_cod
			//		)
			//		mysql_query("UPDATE lavoratori SET blocked = 0 WHERE lav_cod = ".$lav_cod);
			//	}
			//	
			//	if(mysql_error() <> '')
			//		die(mysql_error());
            //
			//}
		}
		
		fclose($handle);
		
	}
}

?>